Skip to main content
GET
/
v2
/
polymarket
/
cohorts
/
stats
Get Cohort Stats
curl --request GET \
  --url https://api.predexon.com/v2/polymarket/cohorts/stats \
  --header 'x-api-key: <api-key>'
{
  "window": "1d",
  "cohorts": [
    {
      "cohort_name": "<string>",
      "wallet_count": 123,
      "total_volume": 123,
      "total_realized_pnl": 123,
      "avg_realized_pnl": 123,
      "median_realized_pnl": 123,
      "avg_roi": 123,
      "avg_win_rate": 123,
      "avg_profit_factor": 123,
      "avg_trades": 123,
      "profitable_wallet_pct": 123,
      "total_fees_paid": 0,
      "total_fees_refunded": 0,
      "avg_fees_paid": 0,
      "avg_fees_refunded": 0
    }
  ],
  "total_wallets": 123
}
Understand which trading styles perform best. Cohorts are based on primary_trading_style: WHALE, MARKET_MAKER, ACTIVE_TRADER, BUY_AND_HOLD, DEGEN, HIGH_CONVICTION, CONTRARIAN, VALUE_HUNTER.
Requires Dev or Pro tier. This endpoint is not available on the Free tier.
See Trading Labels for how each cohort is defined, the criteria behind each label, and minimum requirements for classification.
Rolling total PnL accuracy timeline - Total PnL (realized + unrealized - net fees) uses rolling windows that need time to accumulate full data:
  • All-time total PnL: accurate immediately (February 10, 2026)
  • 1-day rolling total PnL: fully accurate starting February 11, 2026
  • 7-day rolling total PnL: fully accurate starting February 17, 2026
  • 30-day rolling total PnL: fully accurate starting March 12, 2026

Authorizations

x-api-key
string
header
required

Query Parameters

window
enum<string>
default:all_time

Time window for metrics

Available options:
1d,
7d,
30d,
all_time
min_trades
integer | null
default:10

Minimum trades to be included in cohort (filters noise)

Required range: x >= 1

Response

Successful Response

Response for cohort performance comparison.

window
enum<string>
required

Time window for metrics

Available options:
1d,
7d,
30d,
all_time
cohorts
CohortStats · object[]
required

Performance stats per cohort

total_wallets
integer
required

Total wallets across all cohorts